// This file is generated by WOK (CPPExt). // Please do not edit this file; modify original file instead. // The copyright and license terms as defined for the original file apply to // this header file considered to be the "object code" form of the original source. #ifndef _DsgPrs_SymmetricPresentation_HeaderFile #define _DsgPrs_SymmetricPresentation_HeaderFile #ifndef _Standard_HeaderFile #include #endif #ifndef _Standard_Macro_HeaderFile #include #endif #ifndef _Handle_Prs3d_Presentation_HeaderFile #include #endif #ifndef _Handle_Prs3d_Drawer_HeaderFile #include #endif class Prs3d_Presentation; class Prs3d_Drawer; class gp_Pnt; class gp_Dir; class gp_Lin; class gp_Circ; //! A framework to define display of symmetry between shapes.
class DsgPrs_SymmetricPresentation { public: void* operator new(size_t,void* anAddress) { return anAddress; } void* operator new(size_t size) { return Standard::Allocate(size); } void operator delete(void *anAddress) { if (anAddress) Standard::Free((Standard_Address&)anAddress); } //! Adds the points OffsetPoint, AttachmentPoint1,
//! AttachmentPoint2, the direction aDirection1 and the
//! axis anAxis to the presentation object aPresentation.
//! The display attributes of the symmetry are defined by
//! the attribute manager aDrawer.
//! This syntax is used for display of symmetries between two segments.
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Dir& aDirection1,const gp_Lin& aAxis,const gp_Pnt& OffsetPoint) ; //! Adds the points OffsetPoint, AttachmentPoint1,
//! AttachmentPoint2, the direction aDirection1 the circle
//! aCircle1 and the axis anAxis to the presentation
//! object aPresentation.
//! The display attributes of the symmetry are defined by
//! the attribute manager aDrawer.
//! This syntax is used for display of symmetries between two arcs.
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Circ& aCircle1,const gp_Lin& aAxis,const gp_Pnt& OffsetPoint) ; //! Adds the points OffsetPoint, AttachmentPoint1,
//! AttachmentPoint2 and the axis anAxis to the
//! presentation object aPresentation.
//! The display attributes of the symmetry are defined by
//! the attribute manager aDrawer.
//! This syntax is used for display of symmetries between two vertices.
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Lin& aAxis,const gp_Pnt& OffsetPoint) ; protected: private: }; // other Inline functions and methods (like "C++: function call" methods) #endif